/**
 * @author mnientit@assono.de
 * The following code is only for demonstration purposes and not "Best practice" ;)
 */
/*
 * function to be called by onchange event of the input field "Age". 
 * The onchange event is called when the user changed the input value and leaves the field.
 * It is equivalent to the onChange event on a Notes Form - which can also be used for Lotusscript and Formula 
 */
function validateNo(){
	//get the input field
	var elem = document.getElementById("Age");
	//get the fields value
	var value = elem.value;
	/* try to convert textvalue into an Integer
	 * We also could chain this call(s):
	 * var num = parseInt(document.getElementById("Age").value)
	 */
	var num = parseInt(value);
	//if the value could not be converted the result of parseInt is NaN (Not a Number) 
	if(isNaN(num)){
		//of course you would not throw an alert to inform the user, but this is the easy method here
		alert("Sie haben keine gltige Zahl eingegeben.");
		//change the fields color to red to draw the users attention
		elem.style.backgroundColor="#FF0000";
		elem.value = "";
	} else {
		//by using toFixed the decimal length of a number is set. All other cyphers will be cut off. No rounding occurs.
		num = num.toFixed(0);
		//put the new field value in
		elem.value = num;
	}
}
/*
 * function to be called by onsubmit.
 * The onSubmit event is called when a submit button is clicked or form.submit() is called
 * - of course you would not hardcode that in 'real' life ;)
 */
function validateForm(){
	// get input element
	var elem = document.getElementById("LastName");
	// get field value
	var value = elem.value;
	// when there is no value (empty string)
	if (!value) {
		alert("Sie haben vergessen Ihren Nachnamen anzugeben");
		elem.style.backgroundColor="#FF0000";
		//when function called by onsubmit returns false, submit will be cancelled
		return false;
	}
	else {
		alert("Gespeichert");
		return true;
	}
}

function firstNameOnChange(){
	var elem = document.getElementById("FirstName");
	if(elem.value){
		// get element to "unhide"
		var unElem = document.getElementById("SecondNameRow");
		// set the display style to empty string, which is almost the same as deleting the style attribute
		unElem.style.display = "";
	}
}
